package com.bonus.core.customer.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel("临时人员表")
public class CustCasual {
   private static final long serialVersionUID = 1L;

   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("临时人员id")
   private Long casualId;
   @ApiModelProperty("临时人员名称")
   private String casualName;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("手机号")
   private String mobile;
   @ApiModelProperty("邮箱")
   private String email;
   @ApiModelProperty("地址")
   private String address;
   @ApiModelProperty("openid")
   private String openid;
   @ApiModelProperty("来源类型 1-钉钉 2-微信 3-小程序")
   private Integer sourceType;
   @ApiModelProperty("是否删除")
   private Integer ifDel;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("支付宝签约号")
   private String alipayContractNum;
   @ApiModelProperty("支付宝-企业码-员工id")
   private String entCodeEmpId;
   @ApiModelProperty("IOT开通刷脸支持唯一操作流水号")
   private String uniqueId;

   public static CustCasualBuilder builder() {
      return new CustCasualBuilder();
   }

   public Long getId() {
      return this.id;
   }

   public Long getCasualId() {
      return this.casualId;
   }

   public String getCasualName() {
      return this.casualName;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getEmail() {
      return this.email;
   }

   public String getAddress() {
      return this.address;
   }

   public String getOpenid() {
      return this.openid;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public String getAlipayContractNum() {
      return this.alipayContractNum;
   }

   public String getEntCodeEmpId() {
      return this.entCodeEmpId;
   }

   public String getUniqueId() {
      return this.uniqueId;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setCasualId(final Long casualId) {
      this.casualId = casualId;
   }

   public void setCasualName(final String casualName) {
      this.casualName = casualName;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setEmail(final String email) {
      this.email = email;
   }

   public void setAddress(final String address) {
      this.address = address;
   }

   public void setOpenid(final String openid) {
      this.openid = openid;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setAlipayContractNum(final String alipayContractNum) {
      this.alipayContractNum = alipayContractNum;
   }

   public void setEntCodeEmpId(final String entCodeEmpId) {
      this.entCodeEmpId = entCodeEmpId;
   }

   public void setUniqueId(final String uniqueId) {
      this.uniqueId = uniqueId;
   }

   public CustCasual(final Long id, final Long casualId, final String casualName, final Long custId, final String mobile, final String email, final String address, final String openid, final Integer sourceType, final Integer ifDel, final Integer revision, final String crby, final LocalDateTime crtime, final String upby, final LocalDateTime uptime, final String alipayContractNum, final String entCodeEmpId, final String uniqueId) {
      this.id = id;
      this.casualId = casualId;
      this.casualName = casualName;
      this.custId = custId;
      this.mobile = mobile;
      this.email = email;
      this.address = address;
      this.openid = openid;
      this.sourceType = sourceType;
      this.ifDel = ifDel;
      this.revision = revision;
      this.crby = crby;
      this.crtime = crtime;
      this.upby = upby;
      this.uptime = uptime;
      this.alipayContractNum = alipayContractNum;
      this.entCodeEmpId = entCodeEmpId;
      this.uniqueId = uniqueId;
   }

   public CustCasual() {
   }

   public static class CustCasualBuilder {
      private Long id;
      private Long casualId;
      private String casualName;
      private Long custId;
      private String mobile;
      private String email;
      private String address;
      private String openid;
      private Integer sourceType;
      private Integer ifDel;
      private Integer revision;
      private String crby;
      private LocalDateTime crtime;
      private String upby;
      private LocalDateTime uptime;
      private String alipayContractNum;
      private String entCodeEmpId;
      private String uniqueId;

      CustCasualBuilder() {
      }

      public CustCasualBuilder id(final Long id) {
         this.id = id;
         return this;
      }

      public CustCasualBuilder casualId(final Long casualId) {
         this.casualId = casualId;
         return this;
      }

      public CustCasualBuilder casualName(final String casualName) {
         this.casualName = casualName;
         return this;
      }

      public CustCasualBuilder custId(final Long custId) {
         this.custId = custId;
         return this;
      }

      public CustCasualBuilder mobile(final String mobile) {
         this.mobile = mobile;
         return this;
      }

      public CustCasualBuilder email(final String email) {
         this.email = email;
         return this;
      }

      public CustCasualBuilder address(final String address) {
         this.address = address;
         return this;
      }

      public CustCasualBuilder openid(final String openid) {
         this.openid = openid;
         return this;
      }

      public CustCasualBuilder sourceType(final Integer sourceType) {
         this.sourceType = sourceType;
         return this;
      }

      public CustCasualBuilder ifDel(final Integer ifDel) {
         this.ifDel = ifDel;
         return this;
      }

      public CustCasualBuilder revision(final Integer revision) {
         this.revision = revision;
         return this;
      }

      public CustCasualBuilder crby(final String crby) {
         this.crby = crby;
         return this;
      }

      public CustCasualBuilder crtime(final LocalDateTime crtime) {
         this.crtime = crtime;
         return this;
      }

      public CustCasualBuilder upby(final String upby) {
         this.upby = upby;
         return this;
      }

      public CustCasualBuilder uptime(final LocalDateTime uptime) {
         this.uptime = uptime;
         return this;
      }

      public CustCasualBuilder alipayContractNum(final String alipayContractNum) {
         this.alipayContractNum = alipayContractNum;
         return this;
      }

      public CustCasualBuilder entCodeEmpId(final String entCodeEmpId) {
         this.entCodeEmpId = entCodeEmpId;
         return this;
      }

      public CustCasualBuilder uniqueId(final String uniqueId) {
         this.uniqueId = uniqueId;
         return this;
      }

      public CustCasual build() {
         return new CustCasual(this.id, this.casualId, this.casualName, this.custId, this.mobile, this.email, this.address, this.openid, this.sourceType, this.ifDel, this.revision, this.crby, this.crtime, this.upby, this.uptime, this.alipayContractNum, this.entCodeEmpId, this.uniqueId);
      }
   }
}
